---
title: Manage Collections
url: https://docs.vultr.com/products/compute/serverless-inference/vector-store/manage-collections
description: Organize and manage groups of related resources for easier administration and access control.
publish_date: 2025-03-11T19:20:23.055382Z
last_updated: 2026-05-26T19:10:42.264336Z
---

# How to Manage Vector Store Collections

Managing vector store collections helps to keep your data organized and accessible. You can retrieve collection details, update collection names, or delete collections when they are no longer needed.

Follow this guide to manage vector store collections on Vultr Serverless Inference using the Vultr API.

1. Send a `GET` request to the [**List Collections** endpoint](https://api.vultrinference.com/#tag/Vector-Store/operation/list-vector-stores) and note the target collection's ID.

    ```console
    $ curl "https://api.vultrinference.com/v1/vector_store" \
        -X GET \
        -H "Authorization: Bearer ${INFERENCE_API_KEY}"
    ```

1. Send a `GET` request to the [**Collection** endpoint](https://api.vultrinference.com/#tag/Vector-Store/operation/get-vector-store) to retrieve target collection details.

    ```console
    $ curl "https://api.vultrinference.com/v1/vector_store/{collection-id}" \
        -X GET \
        -H "Authorization: Bearer ${INFERENCE_API_KEY}"
    ```

1. Send a `PATCH` request to the [**Update Collection** endpoint](https://api.vultrinference.com/#tag/Vector-Store/operation/update-vector-store) to update a vector store collection record.

    ```console
    $ curl "https://api.vultrinference.com/v1/vector_store/{collection-id}" \
        -X PATCH \
        -H "Authorization: Bearer ${INFERENCE_API_KEY}" \
        -H "Content-Type: application/json" \
        --data '{
            "name": "{updated-collection-name}"
        }'
    ```

1. Send a `DELETE` request to the [**Delete Collection** endpoint](https://api.vultrinference.com/#tag/Vector-Store/operation/delete-vector-store) to delete the target vector store collection.

    ```console
    $ curl "https://api.vultrinference.com/v1/vector_store/{collection-id}" \
        -X DELETE \
        -H "Authorization: Bearer ${INFERENCE_API_KEY}"
    ```
